GET api/Pilots/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
Pilot| Name | Description | Type | Additional information |
|---|---|---|---|
| pilotId | globally unique identifier |
None. |
|
| name | string |
None. |
|
| pilotTypeId | globally unique identifier |
None. |
|
| phone | string |
None. |
|
| isLicenseGimel | boolean |
None. |
|
| isLicenseRT | boolean |
None. |
|
| createdDate | date |
None. |
|
| PilotType | PilotType |
None. |
Response Formats
application/json, text/json
Sample:
{
"pilotId": "5f33ca24-6021-45b5-b9b2-edad795e4711",
"name": "sample string 2",
"pilotTypeId": "01bd5bbb-d36e-42b3-b883-bdf9f7c828db",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:44:27.7645021+00:00",
"PilotType": {
"pilotTypeId": "ac1a4541-c57c-4fba-a996-48fe8525ede0",
"name": "sample string 2"
}
}
text/html
Sample:
{"pilotId":"5f33ca24-6021-45b5-b9b2-edad795e4711","name":"sample string 2","pilotTypeId":"01bd5bbb-d36e-42b3-b883-bdf9f7c828db","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:44:27.7645021+00:00","PilotType":{"pilotTypeId":"ac1a4541-c57c-4fba-a996-48fe8525ede0","name":"sample string 2"}}